# Generated by Django 2.1.10 on 2019-07-25 14:55

from django.db import migrations, models
import django.db.models.deletion
import modelcluster.fields
import uuid
import wagtail.core.blocks
import wagtail.core.fields
import wagtail_localize.models
import wagtail_localize.test.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("wagtail_localize", "0002_initial_data"),
        ("wagtailcore", "0041_group_collection_permissions_verbose_name_plural"),
    ]

    operations = [
        migrations.CreateModel(
            name="TestChildObject",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                (
                    "translation_key",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                ("field", models.TextField()),
                (
                    "locale",
                    models.ForeignKey(
                        default=wagtail_localize.models.default_locale_id,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtail_localize.Locale",
                    ),
                ),
            ],
            options={"abstract": False},
        ),
        migrations.CreateModel(
            name="TestPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                (
                    "translation_key",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                ("test_charfield", models.CharField(blank=True, max_length=255)),
                ("test_textfield", models.TextField(blank=True)),
                ("test_emailfield", models.EmailField(blank=True, max_length=254)),
                ("test_slugfield", models.SlugField(blank=True)),
                ("test_urlfield", models.URLField(blank=True)),
                ("test_richtextfield", wagtail.core.fields.RichTextField(blank=True)),
                (
                    "test_streamfield",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "test_charblock",
                                wagtail.core.blocks.CharBlock(max_length=255),
                            ),
                            ("test_textblock", wagtail.core.blocks.TextBlock()),
                            ("test_emailblock", wagtail.core.blocks.EmailBlock()),
                            ("test_urlblock", wagtail.core.blocks.URLBlock()),
                            ("test_richtextblock", wagtail.core.blocks.RichTextBlock()),
                            ("test_rawhtmlblock", wagtail.core.blocks.RawHTMLBlock()),
                            (
                                "test_blockquoteblock",
                                wagtail.core.blocks.BlockQuoteBlock(),
                            ),
                            (
                                "test_structblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        ("field_a", wagtail.core.blocks.TextBlock()),
                                        ("field_b", wagtail.core.blocks.TextBlock()),
                                    ]
                                ),
                            ),
                            (
                                "test_listblock",
                                wagtail.core.blocks.ListBlock(
                                    wagtail.core.blocks.TextBlock()
                                ),
                            ),
                            (
                                "test_nestedstreamblock",
                                wagtail.core.blocks.StreamBlock(
                                    [
                                        ("block_a", wagtail.core.blocks.TextBlock()),
                                        ("block_b", wagtail.core.blocks.TextBlock()),
                                    ]
                                ),
                            ),
                            (
                                "test_customstructblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        ("field_a", wagtail.core.blocks.TextBlock()),
                                        ("field_b", wagtail.core.blocks.TextBlock()),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                    ),
                ),
                (
                    "test_customfield",
                    wagtail_localize.test.models.TestCustomField(blank=True),
                ),
                (
                    "locale",
                    models.ForeignKey(
                        default=wagtail_localize.models.default_locale_id,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtail_localize.Locale",
                    ),
                ),
            ],
            options={"abstract": False},
            bases=("wagtailcore.page", models.Model),
        ),
        migrations.CreateModel(
            name="TestSnippet",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "translation_key",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                ("field", models.TextField()),
                (
                    "locale",
                    models.ForeignKey(
                        default=wagtail_localize.models.default_locale_id,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtail_localize.Locale",
                    ),
                ),
            ],
            options={"abstract": False},
        ),
        migrations.AddField(
            model_name="testpage",
            name="test_snippet",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="wagtail_localize_test.TestSnippet",
            ),
        ),
        migrations.AddField(
            model_name="testchildobject",
            name="page",
            field=modelcluster.fields.ParentalKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="test_childobjects",
                to="wagtail_localize_test.TestPage",
            ),
        ),
        migrations.AlterUniqueTogether(
            name="testsnippet", unique_together={("translation_key", "locale")}
        ),
        migrations.AlterUniqueTogether(
            name="testpage", unique_together={("translation_key", "locale")}
        ),
        migrations.AlterUniqueTogether(
            name="testchildobject", unique_together={("translation_key", "locale")}
        ),
    ]
